gnutls_x509_crl_set_crt_serial(3)

NAME
gnutls_x509_crl_set_crt_serial - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crl_set_crt_serial(gnutls_x509_crl_t crl, const void * serial, size_t serial_size, time_t revocation_time);

ARGUMENTS

gnutls_x509_crl_t crl
    should contain a gnutls_x509_crl_t structure

const void * serial
    The revoked certificate's serial number

size_t serial_size
    Holds the size of the serial field.

time_t revocation_time
    The time this certificate was revoked

DESCRIPTION
This function will set a revoked certificate's serial number to the CRL.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/